BackendHTTP APIConnections

Edit connection metadata

Requires an API key with the environment:connections:update scope. Learn more about API key scopes.

Update connection metadata

Tenklo uses the request body as the new metadata (it must be a JSON object). Note that this overrides specified properties, not the entire metadata. The connection_id must be passed in the body as well. Note that the connection_id can be a single string or an array of strings.

Fetching connection metadata

To read the existing metadata of a connection, simply fetch the connection. Your custom metadata is included as part of the returned connection object.

PATCH
/connections/metadata

Edit custom metadata for the connection or connections (only overrides specified properties, not the entire metadata). If updating multiple connections pass in an array of connection ids instead of a string.

Authorization

bearerAuth
headerAuthorizationBearer <token>

An Environment API key from your Tenklo environment, or an Account API key for account-level endpoints.

Request Body

application/json
  1. body
connection_id*|array<string>
provider_config_key*string

The integration ID used to create the connection (aka Unique Key).

metadata*

Response Body

Successfully updated the metadata for the connections

application/json
  1. response
connection_id?|array<string>
provider_config_key?string

The integration ID used to create the connection (aka Unique Key).

metadata?
Example Request
curl -X PATCH 'https://api.tenklo.dev/connections/metadata' \  -H 'Content-Type: application/json' \  -d '{  "connection_id": "string",  "provider_config_key": "string",  "metadata": {}}'
Example Response
{  "connection_id": "string",  "provider_config_key": "string",  "metadata": {}}

On this page